# no compiled binaries
%global debug_package %{nil}

Name:           lv2-ui
Version:        2.4
Release:        4%{?dist}

Summary:        Audio Plugin Standard Extension

Group:          System Environment/Libraries
# license specified in %%{_libdir}/lv2/ui.lv2/%%{name}.doap.ttl
# http://opensource.org/licenses/isc
License:        ISC
URL:            http://lv2plug.in
Source:         http://lv2plug.in/spec/%{name}-%{version}.tar.bz2
Requires:       lv2core
BuildRequires:  python
BuildRequires:  lv2core-devel >= 4.0

%description
LV2 is a standard for plugins and matching host applications, mainly
targeted at audio processing and generation.  

There are a large number of open source and free software synthesis
packages in use or development at this time. This API ('LV2') attempts
to give programmers the ability to write simple 'plugin' audio
processors in C/C++ and link them dynamically ('plug') into a range of
these packages ('hosts').  It should be possible for any host and any
plugin to communicate completely through this interface.

LV2 is a successor to LADSPA, created to address the limitations of
LADSPA which many hosts have outgrown.

%{name} is an extension plugin.

%package        devel
Summary:        API for the LV2 Audio Plugin Standard
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       lv2core-devel

%description    devel
lv2-devel contains the ui.h header file.

%prep
%setup -q

%build
./waf configure -vv --prefix=%{_prefix} --libdir=%{_libdir}
./waf -vv %{?_smp_mflags}

%install
DESTDIR=%{buildroot} ./waf -vv install

%files
%doc NEWS
%dir %{_libdir}/lv2/ui.lv2
%{_libdir}/lv2/ui.lv2/manifest.ttl
%{_libdir}/lv2/ui.lv2/ui.ttl
%{_libdir}/lv2/ui.lv2/%{name}.doap.ttl

%files devel
%{_includedir}/lv2/lv2plug.in/ns/extensions/ui
%{_libdir}/lv2/ui.lv2/ui.h
%{_libdir}/pkgconfig/lv2-lv2plug.in-ns-extensions-ui.pc

%changelog
* Fri Jan 20 2012 Brendan Jones <brendan.jones.it@gmail.com> - 2.4-4
- Add lv2core and lv2core-devel requires.

* Fri Jan 20 2012 Brendan Jones <brendan.jones.it@gmail.com> - 2.4-3
- Removed ownership of extensions directory.

* Tue Dec 27 2011 Brendan Jones <brendan.jones.it@gmail.com> - 2.4-2
- License clarified - ISC. Removed buildroot clean, and ldconfig.
- Removed unecessary %%optflags.
- Clarify file ownership, block debug-package.

* Mon Dec 26 2011 Brendan Jones <brendan.jones.it@gmail.com> - 2.4-1
- Created.

